<?php

/**
 *  @file
 *  Menu definition for the Game Queue module.
 */

/**
 *  Helper function for game_queue_menu().
 */
function _game_queue_menu() {
  $items = array();
  $items['admin/settings/game_queue'] = array(
    'title' => 'Game queue',
    'description' => 'Administer the game queue.',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('game_queue_settings_form'),
    'access arguments' => array('administer game queue'),
    'file' => 'includes/game_queue.admin.inc',
  );
  $items['admin/settings/game_queue/settings'] = array(
    'title' => 'Settings',
    'description' => 'Administer the game queue.',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('game_queue_settings_form'),
    'access arguments' => array('administer game queue'),
    'file' => 'includes/game_queue.admin.inc',
    'type' => MENU_DEFAULT_LOCAL_TASK,
  );
  $items['admin/settings/game_queue/list'] = array(
    'title' => 'List',
    'description' => 'List game queue actions',
    'page callback' => 'game_queue_admin_list',
    'access arguments' => array('administer game queue'),
    'file' => 'includes/game_queue.admin.inc',
    'type' => MENU_LOCAL_TASK,
  );
  $items['game-queue'] = array(
    'title' => 'Game queue action',
    'description' => 'Create and add an action to the game queue',
    'page callback' => 'game_queue_create_action_page',
    'access arguments' => array('administer game queue'),
    'file' => 'includes/game_queue.create.inc',
    'type' => MENU_CALLBACK,
  );
  return $items;
}
